# ScrollBarExtensions

Namespace: **Wisej.Web.Markup**

Assembly: **Wisej.Framework** (4.0.0.0)

Adds [fluent markup](https://learn.microsoft.com/en-us/dotnet/communitytoolkit/maui/markup/markup) extension methods to the [ScrollBar](/api/wisej.web/content/scrollbar.md) class.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ScrollBarExtensions
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ScrollBarExtensions
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) LargeChange\<TScrollBar>(scrollBar, value)

Sets the LargeChange property of the specified [ScrollBar](/api/wisej.web/content/scrollbar.md).

| Parameter      | Type                                                                                   | Description                                                                                     |
| -------------- | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| **TScrollBar** |                                                                                        | The type of the scroll bar, must inherit from [ScrollBar](/api/wisej.web/content/scrollbar.md). |
| **scrollBar**  | [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md) | The scroll bar for which to set the LargeChange property.                                       |
| **value**      | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                            | The value to set for the large increment of the scroll bar.                                     |

**Returns:** [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md). The modified scroll bar with the updated LargeChange property.

This method allows you to specify the amount by which the scroll box moves in response to a large scroll command.

```csharp

myScrollBar.LargeChange(10);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) Maximum\<TScrollBar>(scrollBar, value)

Sets the Maximum property of the specified [ScrollBar](/api/wisej.web/content/scrollbar.md).

| Parameter      | Type                                                                                   | Description                                                                                     |
| -------------- | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| **TScrollBar** |                                                                                        | The type of the scroll bar, must inherit from [ScrollBar](/api/wisej.web/content/scrollbar.md). |
| **scrollBar**  | [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md) | The scroll bar for which to set the Maximum property.                                           |
| **value**      | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                            | The maximum value for the scroll bar.                                                           |

**Returns:** [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md). The modified scroll bar with the updated Maximum property.

This method allows you to specify the maximum value of the scroll bar.

```csharp

myScrollBar.Maximum(100);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) Minimum\<TScrollBar>(scrollBar, value)

Sets the Minimum property of the specified [ScrollBar](/api/wisej.web/content/scrollbar.md).

| Parameter      | Type                                                                                   | Description                                                                                     |
| -------------- | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| **TScrollBar** |                                                                                        | The type of the scroll bar, must inherit from [ScrollBar](/api/wisej.web/content/scrollbar.md). |
| **scrollBar**  | [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md) | The scroll bar for which to set the Minimum property.                                           |
| **value**      | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                            | The minimum value for the scroll bar.                                                           |

**Returns:** [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md). The modified scroll bar with the updated Minimum property.

This method allows you to specify the minimum value of the scroll bar.

```csharp

myScrollBar.Minimum(0);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) OnValueChanged\<TScrollBar>(scrollBar, action)

Sets the AutoHide property of the specified [ScrollBar](/api/wisej.web/content/scrollbar.md).

| Parameter      | Type                                                                                   | Description                                                                                     |
| -------------- | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| **TScrollBar** |                                                                                        | The type of the scroll bar, must inherit from [ScrollBar](/api/wisej.web/content/scrollbar.md). |
| **scrollBar**  | [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md) | The scroll bar for which to set the AutoHide property.                                          |
| **action**     | [Action\<TScrollBar>](https://docs.microsoft.com/dotnet/api/system.action-1)           | Event handler.                                                                                  |

**Returns:** [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md). The modified scroll bar with the updated AutoHide property.

This method allows you to specify whether the scroll bar should automatically hide when not in use.

```csharp

myScrollBar.AutoHide(true);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) SmallChange\<TScrollBar>(scrollBar, value)

Sets the SmallChange property of the specified [ScrollBar](/api/wisej.web/content/scrollbar.md).

| Parameter      | Type                                                                                   | Description                                                                                     |
| -------------- | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| **TScrollBar** |                                                                                        | The type of the scroll bar, must inherit from [ScrollBar](/api/wisej.web/content/scrollbar.md). |
| **scrollBar**  | [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md) | The scroll bar for which to set the SmallChange property.                                       |
| **value**      | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                            | The value to set for the small increment of the scroll bar.                                     |

**Returns:** [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md). The modified scroll bar with the updated SmallChange property.

This method allows you to specify the amount by which the scroll box moves in response to a small scroll command.

```csharp

myScrollBar.SmallChange(1);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) Value\<TScrollBar>(scrollBar, value)

Sets the Value property of the specified [ScrollBar](/api/wisej.web/content/scrollbar.md).

| Parameter      | Type                                                                                   | Description                                                                                     |
| -------------- | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| **TScrollBar** |                                                                                        | The type of the scroll bar, must inherit from [ScrollBar](/api/wisej.web/content/scrollbar.md). |
| **scrollBar**  | [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md) | The scroll bar for which to set the Value property.                                             |
| **value**      | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                            | The value to set for the scroll bar's position.                                                 |

**Returns:** [TScrollBar](/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md). The modified scroll bar with the updated Value property.

This method allows you to specify the current position of the scroll box on the scroll bar.

```csharp

myScrollBar.Value(50);

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web.markup/extensions/wisej.web.markup.scrollbarextensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
